Actualizar excepción puntual del horario
curl --request PATCH \
--url https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/schedules/exceptions/{exceptionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"exceptionDate": "2023-12-25",
"isClosed": true,
"startTime": "<string>",
"endTime": "<string>",
"reason": "<string>"
}
'import requests
url = "https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/schedules/exceptions/{exceptionId}"
payload = {
"exceptionDate": "2023-12-25",
"isClosed": True,
"startTime": "<string>",
"endTime": "<string>",
"reason": "<string>"
}
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
exceptionDate: '2023-12-25',
isClosed: true,
startTime: '<string>',
endTime: '<string>',
reason: '<string>'
})
};
fetch('https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/schedules/exceptions/{exceptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exceptionDate": "2023-12-25",
"isClosed": true,
"createdAt": "2023-11-07T05:31:56Z",
"startTime": "<string>",
"endTime": "<string>",
"reason": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": {
"subcode": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"code": "<string>",
"message": "<string>",
"details": {
"subcode": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Agent Schedules
Actualizar excepción puntual del horario
PATCH
/
v1
/
agents
/
{agentId}
/
schedules
/
exceptions
/
{exceptionId}
Actualizar excepción puntual del horario
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Identificador del workspace multi-tenant.
Path Parameters
Identificador del agente
Identificador de la excepción de horario del agente
Body
application/json
Response
Excepción actualizada
Excepción puntual que modifica la disponibilidad del agente para un día específico.
Fecha en formato ISO-8601 (YYYY-MM-DD) afectada por la excepción.
Define si el agente estará completamente fuera de servicio ese día.
Hora local de inicio (HH:mm). Obligatoria cuando isClosed es false.
Pattern:
^([01]?[0-9]|2[0-3]):[0-5][0-9]$Hora local de fin (HH:mm). Obligatoria junto con startTime cuando isClosed es false.
Pattern:
^([01]?[0-9]|2[0-3]):[0-5][0-9]$Notas visibles para el equipo de operaciones respecto a la excepción.
Maximum string length:
280⌘I
